Wireshark-dev: Re: [Wireshark-dev] 0.99.6 build problems on Windows
From: Graham Bloice <[email protected]>
Date: Fri, 05 Oct 2007 10:52:00 +0100
Michael Lum wrote:
> Okay, here is the INCLUDE value:
>
> INCLUDE=C:\PROGRA~1\MICROS~3\VC98\ATL\INCLUDE;C:\PROGRA~1\MICROS~3\VC98\
> INCLUDE;C:\PROGRA~1\MICROS~3\V
> C98\MFC\INCLUDE;C:\PROGRA~1\MICROS~3\VC98\ATL\INCLUDE;C:\PROGRA~1\MICROS
> ~3\VC98\INCLUDE;C:\PROGRA~1\MI
> CROS~3\VC98\MFC\INCLUDE;C:\PROGRA~1\MICROS~3\VC98\ATL\INCLUDE;C:\PROGRA~
> 1\MICROS~3\VC98\INCLUDE;C:\PRO
> GRA~1\MICROS~3\VC98\MFC\INCLUDE;
>
>   
That just seems to have the standard VC6 includes, replicated 3 times
for good measure!  There is no sign of the SDK includes there.
> Has the way you setup your environment changed since 0.99.4?
> Everything builds with 0.99.4.
>
> Thanks
>
>   
Personally, when I used VC6 I always built with the SDK includes.  The
VC6 toolchain and standard includes were so old it was essential,
certainly for my day job.  However, I see the Developers Guide claims
that it isn't required.  I'd be interested to know if the buildbot
(which still uses VC6) has the SDK installed.  Maybe Gerald can comment.

There have been a number of changes in the makefiles since 0.99.4 so
that might account for your difficulties.

-- 
Regards,

Graham Bloice